Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessTimer

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessTimerOrBuilder

Enclosing class:
  JBPMMessages

    public static final class JBPMMessages.ProcessTimer

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessTimerOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessTimer`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessTimer.Builder` Protobuf type `org.jbpm.marshalling.ProcessTimer`
`static class` | `JBPMMessages.ProcessTimer.TimerInstance` Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`
`static interface` | `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static com.google.protobuf.Parser<JBPMMessages.ProcessTimer>` | `PARSER`
`static int` | `TIMER_FIELD_NUMBER`
`static int` | `TRIGGER_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessTimer` | `getDefaultInstance()`
`JBPMMessages.ProcessTimer` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Parser<JBPMMessages.ProcessTimer>` | `getParserForType()`
`int` | `getSerializedSize()`
`JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`org.drools.core.marshalling.impl.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`boolean` | `hasTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessTimer.Builder` | `newBuilder()`
`static JBPMMessages.ProcessTimer.Builder` | `newBuilder(JBPMMessages.ProcessTimer prototype)`
`JBPMMessages.ProcessTimer.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessTimer.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessTimer` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessTimer` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessTimer` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessTimer` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessTimer` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessTimer.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessTimer> PARSER

### TIMER_FIELD_NUMBER

    public static final int TIMER_FIELD_NUMBER

See Also:
  Constant Field Values

### TRIGGER_FIELD_NUMBER

    public static final int TRIGGER_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessTimer getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessTimer getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessTimer> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### hasTimer

    public boolean hasTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `hasTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTimer

    public JBPMMessages.ProcessTimer.TimerInstance getTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `getTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTimerOrBuilder

    public JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `getTimerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

### hasTrigger

    public boolean hasTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `hasTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTrigger

    public org.drools.core.marshalling.impl.ProtobufMessages.Trigger getTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `getTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTriggerOrBuilder

    public org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `getTriggerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.ByteString data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.ByteString data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(byte[] data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(byte[] data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(InputStream input)
                                               throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessTimer parseDelimitedFrom(InputStream input)
                                                        throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessTimer parseDelimitedFrom(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.CodedInputStream input)
                                               throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessTimer.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessTimer.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessTimer.Builder newBuilder(JBPMMessages.ProcessTimer prototype)

### toBuilder

    public JBPMMessages.ProcessTimer.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessTimer.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.